[ Identification | Description | Input parameters | Output parameters | Links ]

# The `multi_pipe` Component

multi pipe circular slit.

## Identification

- Author: Uwe Filges
- Origin:(Unknown)
- Date: March, 2005
- Version: 1.2

## Description

    No transmission around the slit is allowed.

    example for an input file
    # user defined geometry
    # x(i) y(i) r(i) [m]
      0.02 0.03 0.01
     -0.04 0.015 0.005

     warning: at least two values must be in the file

    Example: multi_pipe(xmin=-0.01, xmax=0.01, ymin=-0.01, ymax=0.01)

WARNING: This is a contributed Component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
file | str | define user table of holes | 0
xmin | m | Lower x bound |
xmax | m | Upper x bound |
ymin | m | Lower y bound |
ymax | m | Upper y bound |
radius | - | radius of a single hole | 0.0
gap | m | distance between holes | 0.0
thickness | m | thickness of the pipe | 0.0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
pTable |  |  |

## Links

- Source code for `multi_pipe.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]